datablock TSShapeConstructor(T51bPlayerDts)
{
	baseShape  = "./Shapes/T-51b/T-51b.dts";
	sequence0  = "./Shapes/T-51b/xyz_Root.dsq root";

	sequence1  = "./Shapes/T-51b/xyz_Run.dsq run";
	sequence2  = "./Shapes/T-51b/xyz_Run.dsq walk";
	sequence3  = "./Shapes/T-51b/xyz_Backwards.dsq back";
	sequence4  = "./Shapes/T-51b/xyz_Strafe.dsq side";

	sequence5  = "./Shapes/T-51b/xyz_Crouch.dsq crouch";
	sequence6  = "./Shapes/T-51b/xyz_CrouchRun.dsq crouchRun";
	sequence7  = "./Shapes/T-51b/xyz_CrouchBackwards.dsq crouchBack";
	sequence8  = "./Shapes/T-51b/xyz_CrouchStrafe.dsq crouchSide";

	sequence9  = "./Shapes/T-51b/xyz_Look.dsq look";
	sequence10 = "./Shapes/T-51b/xyz_HeadSide.dsq headside";
	sequence11 = "./Shapes/T-51b/xyz_Root.dsq headUp";

	sequence12 = "./Shapes/T-51b/xyz_Jump.dsq jump";
	sequence13 = "./Shapes/T-51b/xyz_Jump.dsq standjump";
	sequence14 = "./Shapes/T-51b/xyz_Fall.dsq fall";
	sequence15 = "./Shapes/T-51b/xyz_Root.dsq land";

	sequence16 = "./Shapes/T-51b/xyz_armAttack.dsq armAttack";
	sequence17 = "./Shapes/T-51b/xyz_armReadyLeft.dsq armReadyLeft";
	sequence18 = "./Shapes/T-51b/xyz_armReadyRight.dsq armReadyRight";
	sequence19 = "./Shapes/T-51b/xyz_armReadyBoth.dsq armReadyBoth";
	sequence20 = "./Shapes/T-51b/xyz_SpearReady.dsq spearready";  
	sequence21 = "./Shapes/T-51b/xyz_SpearThrow.dsq spearThrow";

	sequence22 = "./Shapes/T-51b/xyz_Talk.dsq talk";  

	sequence23 = "./Shapes/T-51b/xyz_Death.dsq death1"; 
	
	sequence24 = "./Shapes/T-51b/xyz_ShiftUp.dsq shiftUp";
	sequence25 = "./Shapes/T-51b/xyz_ShiftDown.dsq shiftDown";
	sequence26 = "./Shapes/T-51b/xyz_ShiftAway.dsq shiftAway";
	sequence27 = "./Shapes/T-51b/xyz_ShiftTo.dsq shiftTo";
	sequence28 = "./Shapes/T-51b/xyz_ShiftLeft.dsq shiftLeft";
	sequence29 = "./Shapes/T-51b/xyz_ShiftRight.dsq shiftRight";
	sequence30 = "./Shapes/T-51b/xyz_RotateCW.dsq rotCW";
	sequence31 = "./Shapes/T-51b/xyz_RotateCCW.dsq rotCCW";

	sequence32 = "./Shapes/T-51b/xyz_Undo.dsq undo";
	sequence33 = "./Shapes/T-51b/xyz_Plant.dsq plant";

	sequence34 = "./Shapes/T-51b/xyz_Sit.dsq sit";

	sequence35 = "./Shapes/T-51b/xyz_wrench.dsq wrench";

   sequence36 = "./Shapes/T-51b/xyz_Activate.dsq activate";
   sequence37 = "./Shapes/T-51b/xyz_Activate2.dsq activate2";

   sequence38 = "./Shapes/T-51b/xyz_leftRecoil.dsq leftrecoil";
};

datablock PlayerData(PlayerT51b : PlayerStandardArmor)
{
  shapeFile = "./Shapes/T-51b/T-51b.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxDamage = 500;
	mass = 500;
	density = 100000;
	//cameraTilt = 0.161;//0.261;
	//cameraMaxDist = 2;
	//cameraHorizontalOffset = 1.3;
	
   runForce = 500 * 90;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 6;
   maxBackwardSpeed = 4;
   maxSideSpeed = 5;

   maxForwardCrouchSpeed = 3;
   maxBackwardCrouchSpeed = 2;
   maxSideCrouchSpeed = 2.5;

   maxForwardProneSpeed = 300;
   maxBackwardProneSpeed = 300;
   maxSideProneSpeed = 300;

   maxForwardWalkSpeed = 0.5;
   maxBackwardWalkSpeed = 0.5;
   maxSideWalkSpeed = 0.5;

   maxUnderwaterForwardSpeed = 0;
   maxUnderwaterBackwardSpeed = 0;
   maxUnderwaterSideSpeed = 0;
  
   jumpForce = 5000;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   drag = 0.1;
   jumpDelay = 0;
   minImpactSpeed = 999999;
   
   //FootSoftSound        = PowerArmorWalkSound;
   //FootHardSound        = PowerArmorWalkSound;
   
   useCustomPainEffects = true;
   PainHighImage = "";
   PainMidImage  = "";
   PainLowImage  = "";
   painSound     = PowerArmorPainSound;
   JumpSound	= PowerArmorJumpSound;
   deathSound    = DeathCrySound;
   
   boundingbox = "5 5 12";
   crouchboundingbox = "5 5 3";
   
   groundImpactMinSpeed    = 10.0;
   groundImpactShakeFreq   = "4.0 4.0 4.0";
   groundImpactShakeAmp    = "1.0 1.0 1.0";
   groundImpactShakeDuration = 0.8;
   groundImpactShakeFalloff = 10.0;

	uiName = "T-51b Power Armor";
	showEnergyBar = false;

};